summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKyle K <kylek389@gmail.com>2017-06-05 22:55:52 -0500
committerKyle K <kylek389@gmail.com>2017-06-05 22:55:52 -0500
commit0079171810a7c8ddedb70cbbf63d407c5090741d (patch)
tree1598ab9f23548361bd901b9e38ac9f4c0b6f6f9f
parenta317e2c9c6384ed4b7717926fd5ded475e8ce46b (diff)
downloadconfigs-0079171810a7c8ddedb70cbbf63d407c5090741d.tar.gz
configs-0079171810a7c8ddedb70cbbf63d407c5090741d.tar.bz2
configs-0079171810a7c8ddedb70cbbf63d407c5090741d.zip
R.A.T. 5 mouse setting for Xorg
-rw-r--r--rog/usr/share/X11/xorg.conf.d/50-vmmouse.conf6
-rw-r--r--tiny/repos-update.sh26
2 files changed, 32 insertions, 0 deletions
diff --git a/rog/usr/share/X11/xorg.conf.d/50-vmmouse.conf b/rog/usr/share/X11/xorg.conf.d/50-vmmouse.conf
new file mode 100644
index 0000000..8d9d0c0
--- /dev/null
+++ b/rog/usr/share/X11/xorg.conf.d/50-vmmouse.conf
@@ -0,0 +1,6 @@
+Section "InputClass"
+ Identifier "Mad Catz R.A.T.5 Mouse"
+ MatchProduct "Mad Catz Mad Catz R.A.T.5 Mouse" # check exact model with xinput
+ MatchDevicePath "/dev/input/event*"
+ Option "ButtonMapping" "1 2 3 4 5 6 7 2 9 10 11 12 0 0 0 16 17 18 19 20 21" # block buttons 13,14,15
+EndSection
diff --git a/tiny/repos-update.sh b/tiny/repos-update.sh
new file mode 100644
index 0000000..048fbc4
--- /dev/null
+++ b/tiny/repos-update.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# run as kyle
+if [[ $(id -u) -eq 0 ]]; then
+ su - kyle
+fi
+
+
+declare -a REPODIRS=("repo" "repo gaming r" "repo r" "repo small projects")
+
+for d in "${REPODIRS[@]}"; do
+ cd "$d"
+ for r in *; do
+ echo -e "\e[00;32mUpdating ${r}\e[00m"
+ cd "$r"
+ if [[ -d ".git" ]]; then git pull; fi
+ if [[ -d ".svn" ]]; then svn up; fi
+
+ if [[ ! $? -eq 0 ]]; then echo 'failed to update repo: ${r}'; fi
+ cd ../
+ done
+ cd ../
+done
+
+exit 0
+